# Get recent purchases by filters

`GET /v1/history`

Prices are integers. `1000` = `1 USD`.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `api` | query | string | required | Your [WAXPEER API](https://waxpeer.com/profile/user) |
| `partner` | query | string | optional | Partner number from tradelink that you used to purchase an item (steamid32) |
| `token` | query | string | optional | Token from tradelink used to purchase an item |
| `skip` | query | number | optional | Limited by 50 items in response, use skip to get other trades |

## Example (curl)

```bash
curl -X GET 'https://api.waxpeer.com/v1/history?api=%7B%7BAPI_KEY%7D%7D&partner=378049039&token=oFvyi0Ma&skip=0'
```

## Example response

```json
{
  "success": false,
  "history": [
    {
      "item_id": 27165625733,
      "trade_id": 5114261104,
      "token": "ssR242yo",
      "partner": "153912146",
      "created": "2020-01-18T07:28:12.360Z",
      "send_until": "2020-01-18T07:28:12.360Z",
      "reason": "Buyer failed to accept",
      "id": 4258189,
      "image": "https://steamcommunity-a.akamaihd.net/economy/image/class/730/5040342865/200fx125f",
      "price": 1200,
      "name": "USP-S | Cortex (Field-Tested)",
      "status": 6
    }
  ]
}
```

## Responses

- `200` successful operation

## Notes for agents

- Auth is the query parameter `api`, not an Authorization header.
- See [/statuses.md](/statuses.md) for numeric trade status plus `escrow_status` / `release_date`.
- Prefer GET /v2/search-items-by-name over v1.
- Do not use GET /v1/ready-to-transfer-p2p; use the [trade websocket](/websocket.md).
